ApiTenantUtilization (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiTenantUtilization

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiTenantUtilization

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiTenantUtilization
      extends Object

  Utilization report information of a tenant.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiTenantUtilization()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiTenantUtilization` | `cpuUtilizationPercentage(BigDecimal cpuUtilizationPercentage)`
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getCpuUtilizationPercentage()` Percentage of CPU resource used by workloads.
    `BigDecimal` | `getMemoryUtilizationPercentage()` Percentage of memory used by workloads.
    `String` | `getTenantName()` Name of the tenant.
    `int` | `hashCode()`
    `ApiTenantUtilization` | `memoryUtilizationPercentage(BigDecimal memoryUtilizationPercentage)`
    `void` | `setCpuUtilizationPercentage(BigDecimal cpuUtilizationPercentage)`
    `void` | `setMemoryUtilizationPercentage(BigDecimal memoryUtilizationPercentage)`
    `void` | `setTenantName(String tenantName)`
    `ApiTenantUtilization` | `tenantName(String tenantName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiTenantUtilization

          public ApiTenantUtilization()

  - ### Method Detail

    - #### tenantName

          public ApiTenantUtilization tenantName(String tenantName)

    - #### getTenantName

          public String getTenantName()

      Name of the tenant.
      Returns:
        tenantName

    - #### setTenantName

          public void setTenantName(String tenantName)

    - #### cpuUtilizationPercentage

          public ApiTenantUtilization cpuUtilizationPercentage(BigDecimal cpuUtilizationPercentage)

    - #### getCpuUtilizationPercentage

          public BigDecimal getCpuUtilizationPercentage()

      Percentage of CPU resource used by workloads.
      Returns:
        cpuUtilizationPercentage

    - #### setCpuUtilizationPercentage

          public void setCpuUtilizationPercentage(BigDecimal cpuUtilizationPercentage)

    - #### memoryUtilizationPercentage

          public ApiTenantUtilization memoryUtilizationPercentage(BigDecimal memoryUtilizationPercentage)

    - #### getMemoryUtilizationPercentage

          public BigDecimal getMemoryUtilizationPercentage()

      Percentage of memory used by workloads.
      Returns:
        memoryUtilizationPercentage

    - #### setMemoryUtilizationPercentage

          public void setMemoryUtilizationPercentage(BigDecimal memoryUtilizationPercentage)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.